
StopBuyStuffEvent = {};
StopBuyStuffEvent_mt = Class(StopBuyStuffEvent, Event);
InitEventClass(StopBuyStuffEvent, "StopBuyStuffEvent");

function StopBuyStuffEvent:emptyNew()
	local self = Event:new(StopBuyStuffEvent_mt);
	return self;
end;

function StopBuyStuffEvent:new(vehicle, BuyMode)

	local self = StopBuyStuffEvent:emptyNew();
	self.vehicle = vehicle;
	self.BuyMode = BuyMode;
  
	return self;
end;

function StopBuyStuffEvent:readStream(streamId, connection)

	local id = streamReadInt32(streamId)
	self.vehicle = networkGetObject(id);
	self.BuyMode = streamReadString(streamId);
 
	self:run(connection);
end;

function StopBuyStuffEvent:writeStream(streamId, connection)

	local id = networkGetObjectId(self.vehicle)
	streamWriteInt32(streamId, id);
	streamWriteString(streamId, self.BuyMode);
end;

function StopBuyStuffEvent:run(connection)
	
	if not connection:getIsServer() then
		g_server:broadcastEvent(self, true);
	else
		if self.vehicle ~= nil then

			self.vehicle.StopBuyStuff_BuyMode = self.BuyMode;
		end;
	end;
end;
